import type { PluginObj } from '@babel/core';
import type { BuiltInOptsType } from '../types';
export declare const getImportFileDistPath: (importName: string, opts: Pick<BuiltInOptsType, 'staticDir' | 'styleDir'>) => string;
/**
 * when the file suffix is not '.js', '.jsx', '.ts', '.tsx', return true;
 * @param file
 * @param filename The filename is the file currently being compiled
 * @returns
 */

export declare const isNotJsLikeFile: (importFileName: string, currentCompileFile: string) => boolean;
export declare const isStyleFile: (file: string) => boolean;
/**
 * Skip the following cases:
 * + import 'xxx'
 * + import './a.js'.
 * + import './a' and a is js file
 */

export declare const isShouldSkip: (importName: string, filename: string) => boolean;
export declare const getReplacePath: (opts: BuiltInOptsType, importName?: string, currentFilename?: string | null) => string;
declare const importPath: () => PluginObj;
export default importPath;